Method Operation Step

The method operation step resource.

Basehttps://rest.carbon.ms/methodOperationStep
GET/methodOperationStep

List method operation steps

Retrieve a paginated list of method operation steps. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/methodOperationStep
curl --request GET \
  --url 'https://rest.carbon.ms/methodOperationStep?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "name": "Example",
    "sortOrder": 0,
    "type": "string",
    "operationId": "xyz789",
    "companyId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string"
  }
]
GET/methodOperationStep

Retrieve a method operation step

Fetch a single method operation step by filtering on `id`.

Query parameters

idstring

Match on the method operation step's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/methodOperationStep
curl --request GET \
  --url 'https://rest.carbon.ms/methodOperationStep?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "sortOrder": 0,
  "type": "string",
  "operationId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
POST/methodOperationStep

Create a method operation step

Create a new method operation step.

Body parameters

namestringrequired
requiredboolean
sortOrdernumberrequired
typeprocedureStepTyperequired
unitOfMeasureCodestring
minValuenumber
maxValuenumber
listValuesarray
fileTypesarray
operationIdstringrequired

References methodOperation.id

companyIdstringrequired
descriptionobject
POSThttps://rest.carbon.ms/methodOperationStep
curl --request POST \
  --url https://rest.carbon.ms/methodOperationStep \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example","sortOrder":0,"type":"string","operationId":"xyz789","companyId":"xyz789","description":"string"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "sortOrder": 0,
  "type": "string",
  "operationId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
PATCH/methodOperationStep

Update a method operation step

Update an existing method operation step, matched on `id`.

Body parameters

namestringrequired
requiredboolean
sortOrdernumberrequired
typeprocedureStepTyperequired
unitOfMeasureCodestring
minValuenumber
maxValuenumber
listValuesarray
fileTypesarray
operationIdstringrequired

References methodOperation.id

companyIdstringrequired
descriptionobject
PATCHhttps://rest.carbon.ms/methodOperationStep
curl --request PATCH \
  --url 'https://rest.carbon.ms/methodOperationStep?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "sortOrder": 0,
  "type": "string",
  "operationId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
DELETE/methodOperationStep

Delete a method operation step

Delete a method operation step, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the method operation step to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/methodOperationStep
curl --request DELETE \
  --url 'https://rest.carbon.ms/methodOperationStep?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content